Subject: Re: bug#60777: 29.0.60; tramp+eglot don't work if remote user is not local user

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Sun, 15 Jan 2023 08:21:44 +0100

Close this.

It doesn't happen on GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, GTK+
Version 3.24.33, cairo version 1.16.0) of 2023-01-14 anymore.

I'll keep the recipe ready for future problems and report including the
output directly.

Thanks, /PA

On Fri, 13 Jan 2023 at 13:04, Michael Albinus <[email-masked]>
wrote:

> Pedro Andres Aranda Gutierrez <[email-masked]> writes:
>
> Hi Pedro,
>
> > (use-package tramp
> >   :config
> >   ;;
> >   ;; For VMs with the student user and for my private VMs
> >   ;;
> >   (add-to-list 'tramp-remote-path "/home/paag/.local/bin")
> >   (add-to-list 'tramp-remote-path "/home/student/.local/bin"))
>
> Could you pls add (setq tramp-verbose 6) to this config?
>
> > When I edit Python code locally or on the 'paag' user in the VM
> > everything works correctly. However, when I try to edit remotely
> > on the 'student' user, I get the following error:
> >
> > Tramp: Checking 'vc-registered' for
> > /ssh:student@localhost#10042:/home/student/Devel/test1.py...done
> > Configuring eglot
> > Tramp: Opening connection *EGLOT (Devel/(python-mode)) stderr* for
> > student@localhost using ssh...done
> > Tramp: Opening connection EGLOT (Devel/(python-mode)) for
> > student@localhost using ssh...done
> > [jsonrpc] Server exited with status 127
> > Error in post-command-hook (#[0
> > "\303\304\300\242\305#\210\306\301!\205 \0r\301q\210
> > ?\205 \0\307\310\311 \")\207" [(#0) #<buffer test1.py>
> > eglot--managed-mode remove-hook post-command-hook nil buffer-live-p
> > apply eglot--connect eglot--guess-contact] 4]): (error "[eglot] -1:
> > Server died")
>
> Rerun the test.
>
> With this config, there shall also be a Tramp debug buffer
> *debug tramp/ssh student@localhost#10042* Pls send it as attachment.
>
> Best regards, Michael.
>

-- 
Fragen sind nicht da um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet